be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDMSORIGINvalues

- java.lang.Object
- - java.lang.Enum<CDMSORIGINvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDMSORIGINvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDMSORIGINvalues>

      public enum CDMSORIGINvalues
      extends Enum<CDMSORIGINvalues>

  Java class for CD-MS-ORIGINvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-MS-ORIGINvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="regularprocess"/>
           <enumeration value="recorded"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RECORDED`
    `REGULARPROCESS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDMSORIGINvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDMSORIGINvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDMSORIGINvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGULARPROCESS

          public static final CDMSORIGINvalues REGULARPROCESS

    - #### RECORDED

          public static final CDMSORIGINvalues RECORDED

  - ### Method Detail

    - #### values

          public static CDMSORIGINvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDMSORIGINvalues c : CDMSORIGINvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDMSORIGINvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDMSORIGINvalues fromValue(String v)

Connector Package PERSMIDWIFE 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.